import java.io.*;

public class ChainTest {
	public static void main(String[] args) throws Exception {
		if (args.length == 0) {
			System.out.println("Sintaxe: java ChainTest arquivo");
			System.exit(1);
		}
		FileReader reader = new FileReader(args[0]);
		char[] buffer = new char[8192];
		int lidos = reader.read(buffer);
		Corrente corrente = new Estatisticas();
		while ( lidos != -1) {
			char[] info = new char[lidos];
			System.arraycopy(buffer, 0, info, 0, lidos);
			corrente.processar(info); ////////////////////////////
			lidos = reader.read(buffer);
		}
		System.out.println(corrente.getDados());
	}
}
